<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class SimulasiAhpPairwise extends Model
{
    use HasFactory;

    protected $table = 'simulasi_ahp_pairwise';

    protected $fillable = [
        'simulasi_ahp_id',
        'makanan_1_id',
        'makanan_2_id',
        'nilai'
    ];

    public function simulasi()
    {
        return $this->belongsTo(SimulasiAhp::class, 'simulasi_ahp_id');
    }
}
