<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\WaktuMakan;
use App\Models\Komponen;
use App\Models\Makanan;
use App\Models\PengecualianMakanan;
use Illuminate\Support\Facades\Auth;

class PengecualianController extends Controller
{
    //
    public function form()
{
    $waktuMakans = WaktuMakan::all();
    $komponens = Komponen::all();
    $makanans = Makanan::all(); // Atau filter berdasarkan waktu & komponen tertentu

    return view('pengecualian.form', compact('waktuMakans', 'komponens', 'makanans'));
}

public function simpan(Request $request)
{
    foreach ($request->pengecualian as $makananId) {
        PengecualianMakanan::updateOrCreate([
            'user_id' => Auth::id(),
            'makanan_id' => $makananId,
            'waktu_makan_id' => $request->waktu_makan_id,
            'komponen_id' => $request->komponen_id,
        ]);
    }

    return redirect()->route('pengecualian.form')->with('success', 'Pengecualian berhasil disimpan!');
}

}
