<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class ConsistencyRatioCriteria extends Model
{
    protected $fillable = [
        'ci',
        'cr',
        'is_consistent',
        'waktu_makan_id'
    ];

    protected $casts = [
        'ci' => 'float',
        'cr' => 'float',
        'is_consistent' => 'boolean',
        'waktu_makan_id' => 'integer'
    ];

    public function waktuMakan()
    {
        return $this->belongsTo(WaktuMakan::class);
    }
} 