<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class SimulasiAhpNormalisasi extends Model
{
    use HasFactory;

    protected $table = 'simulasi_ahp_normalisasi';

    protected $fillable = [
        'simulasi_ahp_id',
        'makanan_id',
        'nilai_normalisasi',
        'bobot_akhir'
    ];

    public function simulasi()
    {
        return $this->belongsTo(SimulasiAhp::class, 'simulasi_ahp_id');
    }

    public function makanan()
    {
        return $this->belongsTo(Makanan::class);
    }
}
