<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up()
    {
        Schema::create('consistency_ratio_criterias', function (Blueprint $table) {
            $table->id();
            $table->float('ci')->comment('Consistency Index');
            $table->float('cr')->comment('Consistency Ratio');
            $table->boolean('is_consistent')->default(false);
            $table->timestamps();
        });
    }

    public function down()
    {
        Schema::dropIfExists('consistency_ratio_criterias');
    }
}; 