<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('makanan_komponen_waktu', function (Blueprint $table) {
            $table->boolean('status')->default(true)->after('waktu_makan_id');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('makanan_komponen_waktu', function (Blueprint $table) {
            $table->dropColumn('status');
        });
    }
};
