<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('makanan_komponen_waktu', function (Blueprint $table) {
            $table->unique(['makanan_id', 'komponen_id', 'waktu_makan_id'], 'unique_makanan_komponen_waktu');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('makanan_komponen_waktu', function (Blueprint $table) {
            $table->dropUnique('unique_makanan_komponen_waktu');
        });
    }
};
